Bug 1361078 - [ RFE] Quota Events
Summary: [ RFE] Quota Events
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: RHGS 3.2.0
Assignee: Raghavendra G
QA Contact: Anil Shah
URL:
Whiteboard: USM-Gluster integration
Depends On:
Blocks: 1351503 1368931
TreeView+ depends on / blocked
 
Reported: 2016-07-28 10:07 UTC by Manikandan
Modified: 2017-03-23 05:41 UTC (History)
5 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1368931 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:41:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Manikandan 2016-07-28 10:07:14 UTC
Description of problem:
This RFE is to track the changes required in the Quota component to generate the events to be consumed by the eventing framework.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Atin Mukherjee 2016-08-22 11:13:17 UTC
http://review.gluster.org/15230 posted upstream for review. This change tracks the CLI based user driven events. There would be one more patch to this bug to track the quota server side events.

Comment 4 Atin Mukherjee 2016-09-16 10:59:55 UTC
Following downstream patches are now merged:

https://code.engineering.redhat.com/gerrit/#/c/84797
https://code.engineering.redhat.com/gerrit/#/c/84798

Comment 9 Anil Shah 2016-11-02 11:28:09 UTC
Most of the events related to various quota operations were logged. 
Hence marking this RFE verified on build glusterfs-3.8.4-3.el7rhgs.x86_64.
Open new bug, if any event related quota operation are not logged.

Comment 11 errata-xmlrpc 2017-03-23 05:41:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.